Package org.silverpeas.components.gallery.control

# Class GalleryExporter

java.lang.Object
org.silverpeas.core.importexport.control.AbstractExportProcess
org.silverpeas.components.gallery.control.GalleryExporter

@Service public class GalleryExporter extends org.silverpeas.core.importexport.control.AbstractExportProcess

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXPORT_ALBUM`
  Optional export parameter giving the album which contains media to be performed.
  `static final String`
  `EXPORT_FOR_USER`
  Expected export parameter giving the detail about the user that calls the export of media.
  `static final String`
  `EXPORT_PHOTOS`
  Optional export parameter giving the media identifiers (photo) to be performed.
  `static final String`
  `EXPORT_RESOLUTION`
  Expected export parameter giving the detail about the user that calls the export of media.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GalleryExporter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `exportAlbum(org.silverpeas.core.importexport.ImportExportDescriptor exportDescriptor, org.silverpeas.core.importexport.report.ExportReport exportReport)`
  `void`
  `exportPhysicalMedias(org.silverpeas.core.importexport.ImportExportDescriptor exportDescriptor, List<Media> medias, org.silverpeas.core.importexport.report.ExportReport exportReport)`

  ### Methods inherited from class org.silverpeas.core.importexport.control.AbstractExportProcess

  `createExportDir, createZipFile, generateExportDirName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EXPORT_FOR_USER

    public static final String EXPORT_FOR_USER
    Expected export parameter giving the detail about the user that calls the export of media.
    See Also:
      - Constant Field Values

  - ### EXPORT_RESOLUTION

    public static final String EXPORT_RESOLUTION
    Expected export parameter giving the detail about the user that calls the export of media.
    See Also:
      - Constant Field Values

  - ### EXPORT_ALBUM

    public static final String EXPORT_ALBUM
    Optional export parameter giving the album which contains media to be performed.
    See Also:
      - Constant Field Values

  - ### EXPORT_PHOTOS

    public static final String EXPORT_PHOTOS
    Optional export parameter giving the media identifiers (photo) to be performed.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GalleryExporter

    public GalleryExporter()

- ## Method Details

  - ### exportAlbum

    public void exportAlbum(org.silverpeas.core.importexport.ImportExportDescriptor exportDescriptor, org.silverpeas.core.importexport.report.ExportReport exportReport) throws org.silverpeas.core.importexport.ExportException
    Throws:
      `org.silverpeas.core.importexport.ExportException`

  - ### exportPhysicalMedias

    public void exportPhysicalMedias(org.silverpeas.core.importexport.ImportExportDescriptor exportDescriptor, List<Media> medias, org.silverpeas.core.importexport.report.ExportReport exportReport) throws org.silverpeas.core.importexport.ExportException
    Throws:
      `org.silverpeas.core.importexport.ExportException`